// ●リスト2::アロー関数のthisの捕捉
// ES5
var john = {
  name: "John",
  helloLater: function() {
    // (d1)this (john) を保存しておく
    var self = this;
    setTimeout(function() {
      // (d2)ここでのthisはjohnではないのでselfを使う
      console.log("Hello, I'm " + self.name);
    }, 1000);
  }
}
john.helloLater();
// 「"Hello, I'm John"」が1秒後に表示される

// ES6
var john = {
  name: "John",
  helloLater: function() {
    // (d3)アロー関数を使うと、
    setTimeout(() => {
      // (d4)ここでのthisはjohnなのでそのまま使える
      console.log("Hello, I'm " + this.name);
    }, 1000);
  }
}
