// ●リスト3::型付き配列の基本操作
// 符号なし16ビット整数配列でサイズは2
var u16 = new Uint16Array(2);
console.log(u16.byteLength); // 4
u16[0] = 0x00ff;
u16[1] = 0xffff;
console.log(u16); // [255, 65535]

// 符号なし8ビット整数配列のビューに変換
var u8 = new Uint8Array(u16.buffer);
console.log(u8.byteLength); // 4
console.log(u8); // [255, 0, 255, 255]

// DataViewに変換
var view = new DataView(u8.buffer);
// 先頭8ビットに値を符号なし整数を設定
view.setUint8(0, 0x0f);
console.log(u8); // [15, 0, 255, 255]
