// ●リスト4::Symbolの基本操作
// (d1)Symbolの生成
var sym1 = Symbol();
console.log(typeof sym1); // "symbol"
// 説明を付けることもできる
var sym2 = Symbol("foo");
sym2.toString(); // "Symbol(foo)"
// Symbolは必ずユニーク
console.log(sym2 === Symbol("foo")); // false

// (d2)Symbolをキーに持つオブジェクト
var obj = {[sym2]: 1};
// Object.keysで列挙されない
Object.keys(obj); // []
// Object.getOwnPropertySymbolsで列挙される
Object.getOwnPropertySymbols(obj); // [Symbol(foo)]
