// ●リスト7::Object.assign
var target = {a: 1, b: 2};
var s1 = {b: 3, c: 4};
var s2 = {c: 5, d: 6};
var ret = Object.assign(target, s1, s2);
// targetにs1, s2という順で上書きしていく
console.log(target); // {a: 1, b: 3, c: 5, d: 6}
// 戻り値はtargetと同じ
console.log(ret === target); // true

// オブジェクトのクローン
var clone = Object.assign({}, s1);
console.log(clone); // {b: 3, c: 4}

// シャローコピー（ディープコピーではない）
var s3 = {x: {y: 1}};
var clone3 = Object.assign({}, s3);
clone3.x.y = 2;
console.log(s3.x.y); // 2
