// ●リスト1::従来の非同期処理
function getFirstItem(callback) {
  // アイテムリストの取得
  getUrl("/items", function(err, items) {
    // (d1)最初のリクエストのエラー処理
    if (err) {
      return callback(err);
    }
    // 先頭のアイテムの詳細情報の取得
    getUrl("/items/" + items[0].id, function(err, detail) {
      // (d2)2つ目のリクエストのエラー処理
      if (err) {
        return callback(err);
      }
      // 成功
      callback(null, detail);
    });
  });
}

// 本体側からの呼び出し
getFirstItem(function(err, item) {
  // エラー処理
  if (err) {
    console.error(e);
  }
  // 本来やりたかった処理
  someProcess(item);
});

function getUrl(url, callback) {
  var xhr = new XMLHttpRequest();
  xhr.open("GET", url);
  xhr.onload = function() {
    if (xhr.status === 200) {
      callback(null, JSON.parse(xhr.responseText));
    } else {
      callback(new Error(xhr.statusText));
    }
  };
  xhr.onerror = function() {
    callback(new Error(xhr.statusText));
  };
  xhr.send();
}
