// ●リスト8::Generatorの基本
// (d1)Generator関数の定義
function *generator1() {
  // (d2)yieldでイテレータの区切りを指定
  yield 1;
  yield 2;
  return 3;
}
// (d3)イテレータの生成
var g = generator1();
// (d4)1つ目のyieldまで実行
console.log(g.next()); // {value: 1, done: false}
// (d5)2つ目のyieldまで実行
console.log(g.next()); // {value: 2, done: false}
// (d6)関数の最後まで実行
console.log(g.next()); // {value: 3, done: true}

// (d7)for/ofと組み合わせる
for (let n of generator1()) {
  console.log(n);
}
// 1
// 2
